geos::triangulate::tri::TriEdge Class Reference

`#include <TriEdge.h>`

## Public Member Functions

| TriEdge (const Coordinate &a, const Coordinate &b)

## Public Attributes

Coordinate | p0
Coordinate | p1

## Friends

bool | operator== (const TriEdge &te0, const TriEdge &te1)
std::ostream & | operator<< (std::ostream &os, const TriEdge &te)

## Detailed Description

Represents an edge in a `Tri`, to be used as a key for looking up Tris while building a triangulation. The edge value is normalized to allow lookup of adjacent triangles.

Author
  mdavis

The documentation for this class was generated from the following file:

- TriEdge.h